# libpysal.cg.bbcommon

libpysal.cg.bbcommon(bb, bbother)

  Old Stars method for bounding box overlap testing. Also defined in `pysal.weights._cont_binning`.

  Parameters:
    bb `python:list`

      A bounding box.

    bbother `python:list`

      The bounding box to test against.

  Returns:
    chflag `python:int`

      `1` if `bb` overlaps `bbother`, otherwise `0`.

  Examples

      >>> b0 = [0, 0, 10, 10]
      >>> b1 = [10, 0, 20, 10]
      >>> bbcommon(b0, b1)
      1